@font-face {
    font-family: 'icomoon';
    src: url('../fonts/icomoon.eot');
    src: url('../fonts/icomoon.eot?#iefix') format('embedded-opentype'), url('../fonts/icomoon.woff') format('woff'), url('../fonts/icomoon.ttf') format('truetype'), url('../fonts/icomoon.svg#icomoon') format('svg');
    font-weight: normal;
    font-style: normal;
}

.navbar-header {
    border-right: 1px solid #eee;
}

.dl-menuwrapper {
    width: 100%;
    max-width: 300px;
    float: left;
    position: relative;
    -webkit-perspective: 1000px;
    perspective: 1000px;
    -webkit-perspective-origin: 50% 200%;
    perspective-origin: 50% 200%;
    text-align: right;
    margin-left: -10px !important;
}

.dl-menuwrapper:first-child {
    margin-right: 250px;
}

.dl-submenu {
    width: 300px;
    /* กำหนดความกว้างตามที่ต้องการ */
    background-color: #fff;
    /* กำหนดสีพื้นหลัง (ถ้าต้องการ) */
}

.dl-menuwrapper button {
    background: #fff;
    border: none;
    width: 48px;
    height: 45px;
    cursor: pointer;
    outline: none;
}

.dl-menuwrapper button:hover,
.dl-menuwrapper button.dl-active,
.dl-menuwrapper ul {
    background: #fff;
}

.dl-menuwrapper button:after {
    content: '';
    position: absolute;
    width: 26%;
    height: 2px;
    background: #888888;
    top: 10px;
    left: 16%;
    box-shadow: 0 10px 0 #888888, 0 20px 0 #888888;
}

.dl-menuwrapper ul {
    padding: 0;
    list-style: none;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
}

.dl-menuwrapper li {
    position: relative;
}

.dl-menuwrapper li a {
    display: block;
    position: relative;
    padding: 10px 20px;
    font-size: 16px;
    line-height: 22px;
    font-weight: 500;
    color: #888888;
    outline: none;
    text-align: left;
}

.no-touch .dl-menuwrapper li a:hover {
    background: rgba(255, 248, 213, 0.1);
}

.dl-menuwrapper li.dl-back>a {
    padding-left: 30px;
    background: rgb(255 255 255 / 10%);
    color: #303786;
    font-family: 'FC Minimal';
    font-size: 16px;
    font-weight: 500;
}

.dl-menuwrapper li.dl-back:after,
.dl-menuwrapper li>a:not(:only-child):after {
    position: absolute;
    top: 0;
    line-height: 50px;
    font: normal normal normal 24px / 1 "Material Design Icons";
    speak: none;
    -webkit-font-smoothing: antialiased;
    content: "\f0140";
    /* ใช้โค้ด Unicode สำหรับไอคอน chevron-right */
    -webkit-transform: rotate(-90deg) translateY(-30%);
    transform: rotate(-90deg) translateY(-30%);
    padding-top: 28px;
    pointer-events: none;
}

.dl-menuwrapper li.dl-back:after {
    left: 10px;
    color: rgb(48 55 134);
    -webkit-transform: rotate(90deg) translateY(-20%);
    transform: rotate(90deg) translateY(-20%);
    padding-top: 19px;
}

.dl-menuwrapper li>a:after {
    right: 10px;
    color: rgba(0, 0, 0, 0.15);
}

.dl-menuwrapper .dl-menu {
    margin: 12px 0 0 0;
    position: absolute;
    width: 300px;
    right: 0;
    opacity: 0;
    pointer-events: none;
    -webkit-transform: translateY(10px);
    transform: translateY(10px);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    border: 1px solid #eee;
    border-radius: 0 0px 8px 8px;
    padding-bottom: 20px;
}

.dl-menuwrapper .dl-menu.dl-menu-toggle {
    transition: all 0.3s ease;
}

.dl-menuopen {
    width: 300px !important;
    right: 0;
}

.dl-menuwrapper .dl-menu.dl-menuopen {
    opacity: 1;
    pointer-events: auto;
    -webkit-transform: translateY(0px);
    transform: translateY(0px);
    box-shadow: -1px 0px 15px rgb(25 25 25 / 5%);
}


/* Hide the inner submenus */

.dl-menuwrapper li .dl-submenu {
    display: none;
}


/* 
When a submenu is openend, we will hide all li siblings.
For that we give a class to the parent menu called "dl-subview".
We also hide the submenu link. 
The opened submenu will get the class "dl-subviewopen".
All this is done for any sub-level being entered.
*/

.dl-menu.dl-subview li,
.dl-menu.dl-subview li.dl-subviewopen>a,
.dl-menu.dl-subview li.dl-subview>a {
    display: none;
}

.dl-menu.dl-subview li.dl-subview,
.dl-menu.dl-subview li.dl-subview .dl-submenu,
.dl-menu.dl-subview li.dl-subviewopen,
.dl-menu.dl-subview li.dl-subviewopen>.dl-submenu,
.dl-menu.dl-subview li.dl-subviewopen>.dl-submenu>li {
    display: block;
}


/* Dynamically added submenu outside of the menu context */

.dl-menuwrapper>.dl-submenu {
    position: absolute;
    width: 100%;
    top: 50px;
    right: 0;
    margin: 0;
}

.dl-menu.dl-animate-out-5 {
    -webkit-animation: MenuAnimOut5 0.4s ease;
    animation: MenuAnimOut5 0.4s ease;
    width: 300px !important;
    right: 0;
    margin: 13px 0 0 0;
}

@-webkit-keyframes MenuAnimOut5 {
    0% {}
    100% {
        -webkit-transform: translateY(40%);
        opacity: 0;
        right: 0;
        margin: 13px 0 0 0;
    }
}

@keyframes MenuAnimOut5 {
    0% {}
    100% {
        -webkit-transform: translateY(40%);
        transform: translateY(40%);
        opacity: 0;
        right: 0;
        margin: 13px 0 0 0;
    }
}

.dl-menu.dl-animate-in-5 {
    -webkit-animation: MenuAnimIn5 0.4s ease;
    animation: MenuAnimIn5 0.4s ease;
    width: 300px !important;
    right: 0;
    margin: 13px 0 0 0;
}

@-webkit-keyframes MenuAnimIn5 {
    0% {
        -webkit-transform: translateY(40%);
        opacity: 0;
        right: 0;
        margin: 13px 0 0 0;
    }
    100% {
        -webkit-transform: translateY(0);
        opacity: 1;
        right: 0;
        margin: 13px 0 0 0;
    }
}

@keyframes MenuAnimIn5 {
    0% {
        -webkit-transform: translateY(40%);
        transform: translateY(40%);
        opacity: 0;
        right: 0;
        margin: 13px 0 0 0;
    }
    100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
        opacity: 1;
        right: 0;
        margin: 13px 0 0 0;
    }
}

.dl-menuwrapper>.dl-submenu.dl-animate-in-5 {
    -webkit-animation: SubMenuAnimIn5 0.4s ease;
    animation: SubMenuAnimIn5 0.4s ease;
    width: 300px !important;
    right: 0;
    margin: 13px 0 0 0;
}

@-webkit-keyframes SubMenuAnimIn5 {
    0% {
        -webkit-transform: translateZ(-200px);
        opacity: 0;
        right: 0;
        margin: 13px 0 0 0;
    }
    100% {
        -webkit-transform: translateZ(0);
        opacity: 1;
        right: 0;
        margin: 13px 0 0 0;
    }
}

@keyframes SubMenuAnimIn5 {
    0% {
        -webkit-transform: translateZ(-200px);
        transform: translateZ(-200px);
        opacity: 0;
        right: 0;
        margin: 13px 0 0 0;
    }
    100% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
        opacity: 1;
        right: 0;
        margin: 13px 0 0 0;
    }
}

.dl-menuwrapper>.dl-submenu.dl-animate-out-5 {
    -webkit-animation: SubMenuAnimOut5 0.4s ease;
    animation: SubMenuAnimOut5 0.4s ease;
    width: 300px !important;
    right: 0;
    margin: 13px 0 0 0;
}

@-webkit-keyframes SubMenuAnimOut5 {
    0% {
        -webkit-transform: translateZ(0);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateZ(-200px);
        opacity: 0;
    }
}

@keyframes SubMenuAnimOut5 {
    0% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateZ(-200px);
        transform: translateZ(-200px);
        opacity: 0;
    }
}


/* No JS Fallback */

.no-js .dl-menuwrapper .dl-menu {
    position: relative;
    opacity: 1;
    -webkit-transform: none;
    transform: none;
}

.no-js .dl-menuwrapper li .dl-submenu {
    display: block;
}

.no-js .dl-menuwrapper li.dl-back {
    display: none;
}

.no-js .dl-menuwrapper li>a:not(:only-child) {
    background: rgba(0, 0, 0, 0.1);
}

.no-js .dl-menuwrapper li>a:not(:only-child):after {
    content: '';
}

.wrapper {
    display: flex;
    /* จัดวางทั้งสองเมนูให้อยู่ในบรรทัดเดียวกัน */
    align-items: center;
    /* จัดให้เมนูอยู่ตรงกลางตามแนวแกน y */
    padding: 10px 0;
}

.side-menu {
    background-color: #f4f4f4;
    padding: 0;
}

.side-menu ul {
    display: flex;
    /* จัดเรียงรายการใน ul เป็นแนวนอน */
    list-style-type: none;
    padding: 0;
    margin: 0;
    background-color: #fff;
}

.side-menu ul li {
    margin: 0 10px;
    /* เพิ่มระยะห่างระหว่างรายการ */
    width: max-content;
}

.side-menu ul li a {
    text-decoration: none;
    color: #888888;
    padding: 10px;
    font-weight: 500;
    font-size: 16px;
}

.dl-menuwrapper {
    margin-left: auto;
    /* ดัน dl-menu ให้ไปอยู่ด้านขวา */
}

.dl-trigger {
    cursor: pointer;
    align-items: center;
    column-gap: 10px;
    padding-right: 10px;
}

.main-menu-ir {
    color: #303786 !important;
    font-family: 'FC Minimal';
    font-size: 16px !important;
    font-weight: 500;
}

.dl-menuwrapper li:first-child {
    position: relative;
    border-bottom: 1px solid #eee;
}

.dl-trigger p {
    font-size: 16px;
    font-weight: 500;
    color: #888888;
}

@media (max-width: 991px) {
    .dl-menuwrapper button:after {
        width: 30px;
    }
    .dl-trigger p {
        display: none;
    }
    .side-menu {
        display: none;
    }
    .navbar-header {
        border-right: 0px solid #eee;
    }
    .dl-menuwrapper {
        margin-left: 0 !important;
    }
    .dl-trigger {
        cursor: pointer;
        align-items: center;
    }
}

@media (max-width: 575px) {
    .dl-trigger {
        justify-content: flex-end;
    }
    .dl-menuwrapper button:after {
        top: 16px;
        right: 20px;
        left: inherit;
    }
    .navbar-brand-box {
        float: left;
    }
    .navbar-header {
        display: block;
    }
    .dl-menuwrapper button {
        margin-right: 10px;
        margin-top: 10px;
    }
    .wrapper {
        display: block;
        padding: 0;
    }
    .dl-menuwrapper {
        width: 100%;
        float: none;
        max-width: 100%;
    }
    .dl-menuwrapper .dl-menu {
        width: 100% !important;
        margin: 0px 0 0 0;
    }
    .dl-menuwrapper ul {
        width: 100%;
    }
    .dl-submenu {
        width: 100%;
        background-color: #fff;
    }
    .dl-menuopen {
        width: 100% !important;
        right: 0;
        left: 0;
    }
    .dl-menuwrapper>.dl-submenu.dl-animate-in-5 {
        -webkit-animation: SubMenuAnimIn5 4s ease;
        animation: SubMenuAnimIn5 4s ease;
        width: 100% !important;
        right: 0;
        left: 0;
    }
}


/* Add styles for the separator line */

.side-menu .separator {
    position: relative;
    padding-right: 20px;
    /* Adjust padding for the line */
}

.side-menu .separator::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 1px;
    height: 70px;
    background-color: #eee;
    transform: translateY(-34%);
}

@media (max-width: 991px) {
    .side-menu {
        display: none;
    }
}

.footer {
    background-color: #070173;
    color: white;
    padding: 40px 0;
    position: relative;
}

.footer .munu-list {
    margin-top: 100px;
}

.footer h6 {
    font-weight: bold;
}

.footer a {
    color: white;
    text-decoration: none;
}

.footer a:hover {
    text-decoration: underline;
}

.footer-icons img {
    width: 40px;
    margin-right: 15px;
}

.map-responsive {
    position: relative;
    height: 300px;
    overflow: hidden;
    margin-bottom: 0px;
    margin-top: 20px;
}

.map-responsive iframe {
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    position: absolute;
}

.footer-bottom {
    padding: 20px 0;
    background-color: #050159;
    text-align: center;
    position: absolute;
    width: 100%;
}

.footer-bottom p {
    font-size: 12px;
}

.footer .list-unstyled {
    line-height: 3;
}

.contact-info {
    display: flex;
    align-items: flex-start;
    margin-bottom: 15px;
}

.contact-info img,
.contact-info i {
    width: 30px;
    margin-right: 15px;
    color: #c4c4c4;
}

.contact-info-text {
    display: flex;
    flex-direction: column;
}

.logo-footer {
    width: 200px;
    margin-bottom: 2px;
}

@media (max-width: 575px) {
    .footer .munu-list {
        margin-top: 30px;
    }
}